SDL: codechecker-buildbot.sh: Don't fail if a static analysis issue is reported.

From a47f59bbe542e5cc21174208047916029cb18128 Mon Sep 17 00:00:00 2001
From: "Ryan C. Gordon" <[EMAIL REDACTED]>
Date: Fri, 27 Aug 2021 01:03:14 -0400
Subject: [PATCH] codechecker-buildbot.sh: Don't fail if a static analysis
 issue is reported.

---
 build-scripts/codechecker-buildbot.sh | 6 ++++++
 1 file changed, 6 insertions(+)

diff --git a/build-scripts/codechecker-buildbot.sh b/build-scripts/codechecker-buildbot.sh
index f39c08b8a1..e8c0a4cc30 100755
--- a/build-scripts/codechecker-buildbot.sh
+++ b/build-scripts/codechecker-buildbot.sh
@@ -31,7 +31,13 @@ perl -w -pi -e 's/\-arch\s+.*?\s+//g;' compile_commands.json
 
 rm -rf ../analysis
 CodeChecker analyze compile_commands.json -o ./reports
+
+# "parse" returns 2 if there was a static analysis issue to report, but this
+#  does not signify an error in the parsing (that would be error code 1). Turn
+#  off the abort-on-error flag.
+set +e
 CodeChecker parse ./reports -e html -o ../analysis
+set -e
 
 cd ..
 chmod -R a+r analysis